> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fossapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate a webhook event



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/webhooks/simulate
openapi: 3.1.0
info:
  title: FossaPay API
  description: >-
    FossaPay API for checkout wallets, master-wallet payouts, customer
    management, NGN wallets, crypto wallets, transfers, fees, banks, and
    webhooks.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api-production.fossapay.com
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /api/v1/webhooks/simulate:
    post:
      tags:
        - Webhooks
      summary: Simulate a webhook event
      operationId: WebhooksController_simulate
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookSimulationRequest'
      responses:
        '200':
          description: Webhook simulation accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookSimulationResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    WebhookSimulationRequest:
      type: object
      required:
        - event
        - customer_id
        - amount
        - currency
      properties:
        event:
          type: string
        customer_id:
          type: string
        amount:
          type: number
        currency:
          type: string
      additionalProperties: true
    WebhookSimulationResponse:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: boolean
        message:
          type: string
        data:
          type: object
          additionalProperties: true
      additionalProperties: true
    ApiError:
      type: object
      properties:
        status:
          oneOf:
            - type: string
            - type: boolean
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
        code:
          type: string
        errors:
          type: object
          additionalProperties: true
      additionalProperties: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````